#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PROJECT_DH_OPTIONS =
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
  PROJECT_DH_OPTIONS += --with migrations
endif

%:
	dh $@ $(PROJECT_DH_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_auto_test:
	CTEST_OUTPUT_ON_FAILURE=1 make -C obj-$(DEB_HOST_GNU_TYPE) test

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 -plomiri-clock-app-autopilot
